STALKERSOUP


Everything about the STALKERSOUP game...
 
HomeFAQRegisterLog in
Log in
Username:
Password:
Log in automatically: 
:: I forgot my password
Latest topics
» 16.8 micro update
by nemisis1842khann Yesterday at 22:35

» Game not progressing - Lightning and isomophic monolead drop
by pchester Yesterday at 20:26

» The '100 Rads' bar...
by oxe222 Yesterday at 15:04

» Father Diodor - To kill or not to kill...
by nemisis1842khann Yesterday at 14:54

» Stuck in the gameplay, Stalker? Let's have a little chat...
by pchester Yesterday at 10:33

» Downloading from Mega
by V.A.N.W.E.G.E.N. Sat 17 Feb 2018 - 17:05

» Patch 17.7 issues
by grayxy Fri 16 Feb 2018 - 4:06

» Double-click parameter options for MO's backpack?
by sjohnson Fri 16 Feb 2018 - 2:57

February 2018
MonTueWedThuFriSatSun
   1234
567891011
12131415161718
19202122232425
262728    
CalendarCalendar
Top posting users this week
nemisis1842khann
 
pchester
 
oxe222
 
Sword2012
 
Arthoryum
 
6NF
 
sjohnson
 
Statistics
We have 392 registered users
The newest registered user is Markus

Our users have posted a total of 4317 messages in 456 subjects
Who is online?
In total there are 2 users online :: 1 Registered, 0 Hidden and 1 Guest

Strelok981

Most users ever online was 22 on Fri 13 Oct 2017 - 10:55

Share | 
 

 Patch 1.10014 now available to auto-update

Go down 
AuthorMessage
Sword2012
Administrator
avatar

Posts : 378
Join date : 2017-05-31
Location : UK

PostSubject: Patch 1.10014 now available to auto-update   Thu 7 Sep 2017 - 13:58

New patch 1.10014 is now available. Yay!!!  Very Happy

After installing, remember to  customize the latest Modders' Script to your liking, before starting a new game (Enter the Zone) as Marked One, talking to Astrologer, and wait for the ALL save before continuing with your old save

And please feel free to send lots of thingies to TB and Aleks for their work on this one cheers


Last edited by Sword2012 on Thu 7 Sep 2017 - 14:07; edited 1 time in total
Back to top Go down
pchester
Moderator
avatar

Posts : 959
Join date : 2017-06-03
Location : UK

PostSubject: Re: Patch 1.10014 now available to auto-update   Thu 7 Sep 2017 - 14:05

Possible problem with 110014 patch ... any attempt to teleport to a new map results in a CTD. Nobody else has reported this yet, so it might just be my game. Anyway, I have reported it to TB.

FATAL ERROR

[error]Expression    : fatal error
[error]Function      : CScriptEngine::lua_error
[error]File          : E:\stalker\sources\trunk\xr_3da\xrGame\script_engine.cpp
[error]Line          : 73
[error]Description   : <no expression>
[error]Arguments     : LUA error: ...lkersoup\gamedata\scripts\tb3d_process_levels.script:190: attempt to call global 'set_ALD_weapons' (a nil value)

Note: after commenting out this section from tb3d_process_levels.script I can teleport again.
Back to top Go down
TecnoBacon
Administrator
avatar

Posts : 57
Join date : 2017-06-01
Location : USA

PostSubject: Re: Patch 1.10014 now available to auto-update   Thu 7 Sep 2017 - 16:53

For those who transition to or start as collector there is a bug still in the process levels that I just made a fix for. stalker level up 0 are not effected and don't need the file. EMAIL me at [You must be registered and logged in to see this link.] for the fixed file and how to install it if you are playing in collector and are crashing on level changes.
Back to top Go down
http://tecnobacon.com
nemisis1842khann
Veteran


Posts : 219
Join date : 2017-07-12
Age : 75
Location : Sussex

PostSubject: Re: Patch 1.10014 now available to auto-update   Thu 7 Sep 2017 - 17:04

Hi Sword2012.
As I am running on win 10 and every thing 'appears' to be ok, should I d/load separately to do
any changes for full ownership and control, Or will the auto d/load make the adjustments to the
update, as you pointed out just go for a normal start and talk to the astrologer and get the all
save and then pop in the saves I have got to so far. hope that makes sense.


Back to top Go down
TecnoBacon
Administrator
avatar

Posts : 57
Join date : 2017-06-01
Location : USA

PostSubject: Re: Patch 1.10014 now available to auto-update   Thu 7 Sep 2017 - 17:18

110014 is a big patch with many subtle fixes and a great deal of optimization.

With Win 10 the LUA 5.1 stack optimization/garbage collect actually functions properly so I have restructured several files that had 1 time calls in them as well as recursive calls. By moving the 1 time calls into a file that only has 1 time calls at startup I can fully remove these scripts from the memory stack right away freeing up over 150k so far which improves runtime speed and stability greatly.

Task Manager has been worked on by aleks1970 and myself to correct all but 2 tasks which will need redoing completely before they will work properly in both stalker and collector. A new start is required to take advantage of the other task fixes so those returning to a prior save will still have the bad tasks which aleks1970 and I will post a solution for getting them out of your task list.

The bad bone crash that happens randomly with traders (doc in pripyat) is a bad attachment to certain weapons, if the npc tries to arm himself with the weapon with the attachment then it crashes. There is an option in the modders script to remove bad weapons (off by default) that you can turn on and then reload the autosave for that level and it should prevent the crash. New starts should not see this crash but please report it if you still do with a 110014 start.

I did not have a lot of time for the continuation of the collector story so there is not much to report there except that there is a lot more alife in all levels due to the Extra Spawns team (much appreciated) that I now need to balance as I continue the story. Right now the story starts to get confusing as what to do after the storm recedes so I need to add more hints that you need to check out the Warlab after talking to the Barman and getting the SMS about agent X.

Aleks1970 has done several fixes and additions that he may add to this post as there is too much for me to remember everything done.
Back to top Go down
http://tecnobacon.com
rabidsquirrels
Zombie


Posts : 3
Join date : 2017-07-27

PostSubject: 110014 Crash   Thu 7 Sep 2017 - 18:36

I am getting the same error

Story mode
Win 7 64bit

[You must be registered and logged in to see this link.] wrote:
Possible problem with 110014 patch ... any attempt to teleport to a new map results in a CTD. Nobody else has reported this yet, so it might just be my game. Anyway, I have reported it to TB.

FATAL ERROR

[error]Expression    : fatal error
[error]Function      : CScriptEngine::lua_error
[error]File          : E:\stalker\sources\trunk\xr_3da\xrGame\script_engine.cpp
[error]Line          : 73
[error]Description   : <no expression>
[error]Arguments     : LUA error: ...lkersoup\gamedata\scripts\tb3d_process_levels.script:190: attempt to call global 'set_ALD_weapons' (a nil value)

Note: after commenting out this section from tb3d_process_levels.script I can teleport again.
Back to top Go down
kaplumbaga
Experienced


Posts : 191
Join date : 2017-06-14
Location : turkey

PostSubject: Re: Patch 1.10014 now available to auto-update   Thu 7 Sep 2017 - 18:40

i cant entry pripyat or anymap continious error.
Back to top Go down
Sword2012
Administrator
avatar

Posts : 378
Join date : 2017-05-31
Location : UK

PostSubject: Re: Patch 1.10014 now available to auto-update   Thu 7 Sep 2017 - 19:19

[You must be registered and logged in to see this link.] wrote:
Hi Sword2012.
    As I am running on win 10 and every thing 'appears' to be ok, should I d/load separately to do
    any changes for full ownership and control,  Or will the auto d/load make the adjustments to the  
    update,  as you pointed out just go for a normal start and talk to the astrologer and get the all
    save and then pop in the saves I have  got to so far. hope that makes sense
Hi nk

StalkerSoup and Windows 10 are uncharted territory for me, and all I'm doing with the Installation Help guide is adding what others have found to work...

Aleks has spent a lot of time on the Installer/Auto-updater, so why not try that and let us know if it works? Doing the job manually certainly won't have any advantages, since all you'd be doing is copy/pasting...

You shouldn't need to pop your saves in, as they'll already be there from 1.10013. Just start a new game, talk to Astrologer, and get the ALL save. Then exit the game and restart it - all your old saves will be there, below the ALL save Very Happy


Last edited by Sword2012 on Thu 7 Sep 2017 - 23:09; edited 1 time in total
Back to top Go down
TecnoBacon
Administrator
avatar

Posts : 57
Join date : 2017-06-01
Location : USA

PostSubject: Re: Patch 1.10014 now available to auto-update   Thu 7 Sep 2017 - 19:30

[You must be registered and logged in to see this link.] wrote:
i cant entry pripyat or anymap continious error.

write to me at stalkersoup.com and I will send you the fix
send me a .log too please
Back to top Go down
http://tecnobacon.com
kd6dm
Moderator
avatar

Posts : 182
Join date : 2017-06-03
Age : 72
Location : Northern California

PostSubject: Re: Patch 1.10014 now available to auto-update   Fri 8 Sep 2017 - 0:31

[You must be registered and logged in to see this link.] wrote:
Possible problem with 110014 patch ... any attempt to teleport to a new map results in a CTD. Nobody else has reported this yet, so it might just be my game. Anyway, I have reported it to TB.

pchester fatal error:
 
Note: after commenting out this section from tb3d_process_levels.script I can teleport again.

You are not alone, same CTD here. Thanks for the heads up, commenting out that line worked for me too.

_________________________________________________
One shot, one kill.
Back to top Go down
_Nite_
Veteran


Posts : 398
Join date : 2017-07-13
Location : USA

PostSubject: Re: Patch 1.10014 now available to auto-update   Fri 8 Sep 2017 - 9:02

email sent TB I need the fix too.
Back to top Go down
pchester
Moderator
avatar

Posts : 959
Join date : 2017-06-03
Location : UK

PostSubject: Re: Patch 1.10014 now available to auto-update   Fri 8 Sep 2017 - 9:51

From Aleks1970 in another thread...

[You must be registered and logged in to see this link.] wrote:

"TB3D_process_levels.script" file;
Please edit this code in the row 190:
set_ALD_weapons(amk.load_variable("tb3d_ald_weapons", 0))
to the:
amk_mod.set_ALD_weapons(amk.load_variable("tb3d_ald_weapons", 0))
This fix will also be included in new MicroPatch(gamedata.dbv1) file.

I can confirm that this works if you need a quick fix. However, TB has since found and fixed a second problem that happens during blowouts, so his updated patch file is the best solution until the MicroPatch is released.
Back to top Go down
_Nite_
Veteran


Posts : 398
Join date : 2017-07-13
Location : USA

PostSubject: Re: Patch 1.10014 now available to auto-update   Fri 8 Sep 2017 - 10:15

[You must be registered and logged in to see this link.] wrote:
From Aleks1970 in another thread...

[You must be registered and logged in to see this link.] wrote:

"TB3D_process_levels.script" file;
Please edit this code in the row 190:
set_ALD_weapons(amk.load_variable("tb3d_ald_weapons", 0))
to the:
amk_mod.set_ALD_weapons(amk.load_variable("tb3d_ald_weapons", 0))
This fix will also be included in new MicroPatch(gamedata.dbv1) file.

I can confirm that this works if you need a quick fix. However, TB has since found and fixed a second problem that happens during blowouts, so his updated patch file is the best solution until the MicroPatch is released.

yea i saw that but I don't have that TB3D process levels script file, email it to me with the fix in it, ya have my email already Smile
Back to top Go down
Sword2012
Administrator
avatar

Posts : 378
Join date : 2017-05-31
Location : UK

PostSubject: Re: Patch 1.10014 now available to auto-update   Fri 8 Sep 2017 - 10:24

Quote :
I can confirm that this works if you need a quick fix. However, TB has since found and fixed a second problem that happens during blowouts, so his updated patch file is the best solution until the MicroPatch is released.

yea i saw that but I don't have that TB3D process levels script file, email it to me with the fix in it, ya have my email already Smile

Just a thought, but instead of emailing fixes like this to anyone who requests them, why not simply post links to them?

Much easier for everyone all round Smile
Back to top Go down
nemisis1842khann
Veteran


Posts : 219
Join date : 2017-07-12
Age : 75
Location : Sussex

PostSubject: Re: Patch 1.10014 now available to auto-update   Fri 8 Sep 2017 - 10:37


A good point that Sword2012 posting minor fixes, as TB is VERY busy with SS's updates etc,
a one off fix, yes, then just pop in and out of the forum as an when he thinks its required,
probably these minors affect quite a few players, do a quick search and insert as need be.
Back to top Go down
pchester
Moderator
avatar

Posts : 959
Join date : 2017-06-03
Location : UK

PostSubject: Re: Patch 1.10014 now available to auto-update   Fri 8 Sep 2017 - 12:43

Good idea. Added to the Game Guides section under Temporary Fixes.

[You must be registered and logged in to see this link.]
Back to top Go down
papanoel
Novice


Posts : 18
Join date : 2017-06-03
Age : 39
Location : France

PostSubject: Re: Patch 1.10014 now available to auto-update   Sat 9 Sep 2017 - 17:01

Just downloaded and installed 1.10014 along with the micropatch.
I can now play normally (level up 3).

Everything seems to work fine but I have 3 problems which may or may not be patch related. My game is a 1.10007 start so maybe it could explain things.

1- Since I installed the latest update none of my saves work in Agroprom. I get the below message:

[error]Expression    : fatal error
[error]Function      : CScriptEngine::lua_error
[error]File          : E:\stalker\sources\trunk\xr_3da\xrGame\script_engine.cpp
[error]Line          : 73
[error]Description   : <no expression>
[error]Arguments     : LUA error: e:\stalkersoup\gamedata\scripts\turret_mgun.script:48: attempt to index field 'se_obj' (a nil value)

The autosave works though (coming from Yantar). I'll try to make a  save when in another part of the map to check if it's location related.

2- After updating to 1.10013, I noticed none of the snow anomalies were removed during blowouts. There are plenty of them now and it slows down my game, especially in Cordon, Army Warehouses and Garbage.

3- I miss a transition from Jupiter to East Prypiat. It should have spawned after finding Caesier's stash (already reported in this forum).


Last edited by papanoel on Sat 9 Sep 2017 - 23:23; edited 2 times in total (Reason for editing : Actually I just corrected a mistake which was not a mistake.)
Back to top Go down
pchester
Moderator
avatar

Posts : 959
Join date : 2017-06-03
Location : UK

PostSubject: Re: Patch 1.10014 now available to auto-update   Sat 9 Sep 2017 - 19:25

[You must be registered and logged in to see this link.] wrote:
Just downloaded and installed 1.10014 along with the micropatch.
I can now play normally (level up 3).
quote:
 

Worrying ... I started a new game in 110014 and I had the same turret_mgun.script error when exiting X-18 into Dark Valley. I also had to go back to the map entry autosave before it would reload. I will have a closer look at the script as soon as my PC finishes its weekly backup.  Rolling Eyes

I found that the E.Pripyat-to-Jupiter transition failed to appear for me if I detoured back to the Bar to restock before making the journey to E.Pripyat. When I used the Jupiter-to-E.Pripyat transition (which drops you
Spoiler:
 
the new transition appeared at the dock. Not sure if using that transition is a requirement, but it worked for me.

Still no Mole in DV... Crying or Very sad
Back to top Go down
pchester
Moderator
avatar

Posts : 959
Join date : 2017-06-03
Location : UK

PostSubject: Re: Patch 1.10014 now available to auto-update   Sat 9 Sep 2017 - 22:04

[You must be registered and logged in to see this link.] wrote:
[You must be registered and logged in to see this link.] wrote:

[error]Arguments     : LUA error: e:\stalkersoup\gamedata\scripts\turret_mgun.script:48: attempt to index field 'se_obj' (a nil value)

Okay, I reloaded that game, tried again and got the same error. I opened the script file, commented out the contents of the function containing line 48, and no more CTDs. I have reported it to Aleks1970.
Back to top Go down
Sponsored content




PostSubject: Re: Patch 1.10014 now available to auto-update   

Back to top Go down
 
Patch 1.10014 now available to auto-update
Back to top 
Page 1 of 1

Permissions in this forum:You cannot reply to topics in this forum
STALKERSOUP :: STALKERSOUP Main discussions-
Jump to: